petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecSetValueLocal

Set a single entry into a vector using the local numbering

### Synopsis

    #include <petscvec.h>
    PetscErrorCode VecSetValueLocal(Vec v,PetscInt row,PetscScalar value, InsertMode mode);

Not Collective Many br

### Input Parameters

| v | - the vector Many br
| row | - the row location of the entry Many br
| value | - the value to insert Many br
| mode | - either INSERT_VALUES or ADD_VALUES Many br

### Notes

For efficiency one should use VecSetValues() and set several or Many brmany values simultaneously if possible. Many br

These values may be cached, so VecAssemblyBegin() and VecAssemblyEnd() Many brMUST be called after all calls to VecSetValues() have been completed. Many br

VecSetValues() uses 0-based indices in Fortran as well as in C. Many br

Many br

### See Also

VecSetValues(), VecAssemblyBegin(), VecAssemblyEnd(), VecSetValuesBlockedLocal(), VecSetValue()

Level:beginner
Location:src/vec/vec/../../../include/petscvec.h
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages